Zip64Mode (Apache Ant API)
Date: 2013-12-23

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.tools.zip
Enum Zip64Mode

    java.lang.Object
      java.lang.Enum<Zip64Mode>
          org.apache.tools.zip.Zip64Mode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Zip64Mode>

    public enum Zip64Mode

extends java.lang.Enum<Zip64Mode>

The different modes `ZipOutputStream` can operate in.

Since:
  Ant 1.9.0
See Also:
  `ZipOutputStream.setUseZip64(org.apache.tools.zip.Zip64Mode)`

Enum Constant Summary
`Always` Use Zip64 extensions for all entries, even if it is clear it is not required.
`AsNeeded` Use Zip64 extensions for all entries where they are required, don't use them for entries that clearly don't require them.
`Never` Don't use Zip64 extensions for any entries.

Method Summary
`static Zip64Mode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Zip64Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Always

    public static final Zip64Mode Always

  Use Zip64 extensions for all entries, even if it is clear it is not required.

### Never

    public static final Zip64Mode Never

  Don't use Zip64 extensions for any entries.

  This will cause a `Zip64RequiredException` to be thrown if `ZipOutputStream` detects it needs Zip64 support.

### AsNeeded

    public static final Zip64Mode AsNeeded

  Use Zip64 extensions for all entries where they are required, don't use them for entries that clearly don't require them.

Method Detail

### values

    public static Zip64Mode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Zip64Mode c : Zip64Mode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Zip64Mode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD